<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <h:form>
            <b:panel title="Mon compte" col-sm="8" offset-sm="2" collapsible="false">
                <b:row>
                    <b:column col-md="6"><h:outputLabel value="Informations de connexion"
                                                        style="font-family: Arial, sans-serif; font-size:20px;"/></b:column>
                    <b:column col-md="6"></b:column>
                </b:row>

                <b:row>
                    <b:column col-md="6"><b:inputText value="#{mbMonCompte.majUser.adresseMail}"
                                                      placeholder="Adresse e-mail"
                                                      required="true"/>
                    </b:column>
                    <b:column col-md="6"> <b:inputText value="#{mbMonCompte.majUser.login}" placeholder="Identifiant"
                                                       required="true"/>
                    </b:column>
                </b:row>

                <b:row>
                    <b:column col-md="6"><b:inputSecret value="#{mbMonCompte.majUser.password}" placeholder="Mot de passe"
                                                        required="true"/></b:column>
                    <b:column col-md="6"><b:inputSecret placeholder="Confirmer votre mot de passe"
                                                        required="true"/></b:column>
                </b:row>

                <b:row>
                    <b:column col-md="6"><h:outputLabel value="Informations personnelles"
                                                        style="font-family: Arial, sans-serif; font-size:20px;" span="4"/></b:column>
                    <b:column col-md="6"></b:column>
                </b:row>

                <b:row>
                    <b:column col-md="6"><b:inputText value="#{mbMonCompte.majUser.prenom}" placeholder="Prénom"
                                                      required="true"/></b:column>
                    <b:column col-md="6"><b:inputText value="#{mbMonCompte.majUser.nom}" placeholder="Nom"
                                                      required="true"/></b:column>
                </b:row>

                <b:row>
                    <b:dateTimePicker mode="toggle-icon"
                                      show-icon="true"
                                      placeholder="Date de naissance (dd.mm.yyyy)"
                                      value="#{mbMonCompte.majUser.dateDeNaissance}"
                                      required="true" format="DD.MM.YYYY" col-md="6"/>
                </b:row>

                <b:row>
                    <b:column col-md="6"><b:inputText value="#{mbMonCompte.majUser.numTelPortable}"
                                                      placeholder="Numéro de portable"
                                                      required="true"/></b:column>
                    <b:column col-md="6"><b:inputText value="#{mbMonCompte.majUser.numTelFixe}"
                                                      placeholder="Numéro de téléphone"/></b:column>
                </b:row>

                <b:row>
                    <b:inputText value="#{mbMonCompte.majUser.adresse}" placeholder="Adresse"
                                 required="true" col-md="12"/>
                </b:row>

                <b:row>
                    <b:column col-md="4"><b:inputText value="#{mbMonCompte.majUser.codePostal}"
                                                      placeholder="Code Postal"/></b:column>
                    <b:column col-md="8"><b:inputText value="#{mbMonCompte.majUser.ville}" placeholder="Ville"/></b:column>
                </b:row>

                <b:row>
                    <b:commandButton value="Modifier" look="primary" action="#{mbMonCompte.majUser()}" span="2" offset="10"/>
                </b:row>
            </b:panel>
        </h:form>
    </ui:define>
</ui:composition>
</html>